
Figure - Bug #117749
【IOVDEV-25185】【IOV测试】【VC1】【0072】【台架】【EE环境】【副屏】文件管理中浏览各菜单发生冻
屏现象
2023-05-04 16:35 - CDTS_TEST 王成

Status: CLOSED Start date: 2023-05-04

Priority: Normal Due date:

Assignee: SZTS_TEST 邹涛 % Done: 20%

Category: SYSTEM Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 01.00.0094.C103

Resolution: -- Degrated: --

Severity: Critical Verified Version:

Reproducibility: Occasionally Fixed Version:

Test Type: ST Root cause:

Description

环境信息】EE环境

【问题出现时间】：

【前提条件】：上电

【操作步骤】

1. 文件管理器浏览各个菜单界面，偶发屏幕冻结，任何操作都无响应

【实际结果】

1.偶发屏幕冻结，任何操作都无响应

【期望结果】

1.副屏无冻屏现象

副屏版本：01.00.0094.C103

History

#1 - 2023-05-04 18:08 - CD APP-王营

- Status changed from New to NEED_INFO

- Assignee changed from CD APP-王营 to CDTS_TEST 王成

■ Current conclusion

Log中 没有input相关log，需要复现此问题，怀疑点是硬件touch事件没有上报。

■ Next action

1、请测试帮忙复现此问题，问题发生时候请使用一下命令“adb shell getevent -lt”查看底层是否有事件上报。

2、记录问题出现时间点，抓一份Tlog。

#2 - 2023-05-10 17:21 - CD TPM-王祥林

- Category changed from CD-APP to BSP

- Status changed from NEED_INFO to ASSIGNED

- Assignee changed from CDTS_TEST 王成 to CD BSP-杜磊

杜磊

看看那个时间段的日志有没有touch相关的日志
#3 - 2023-05-10 17:29 - CD BSP-杜磊

- Assignee changed from CD BSP-杜磊 to CD TPM-王祥林

通过过滤TP相关, "atmel"关键字，　未发现有TP相关错误，也未发现有i2c相关错误日志。

#4 - 2023-05-12 10:29 - CD TPM-王祥林

复现日志找不到touch相关事件的日志，也没有kernel的TP错误。无法定位原因。

下一步计划：

1.上层接收事件的地方添加日志。(下面的提交已经实现)

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/196355

2.Tlog中定时读取TP中断的次数，保存到日志中。

#5 - 2023-05-12 10:50 - CD TPM-王祥林

- Category changed from BSP to SYSTEM

- Assignee changed from CD TPM-王祥林 to CD SYSTEM-夏旭

夏旭

看看这个问题，TP中断次数的读取可以找下杜磊。

#6 - 2023-05-12 14:20 - CD SYSTEM-夏旭

- % Done changed from 0 to 10

1.初步的分析，system ui 被杀，但是与视频上的时间戳不对，

  04-27 13:34:31.485  1542  1757 D ActivityManager: freezing 32463 system:ui

  04-27 13:34:31.486  1542  1757 E ActivityManager: Unable to freeze binder for 32463 system:ui

  04-27 13:34:31.490  1542  1757 D ActivityManager: froze 32463 system:ui

  04-27 13:34:31.490  1542  1757 E ActivityManager: Unable to freeze binder for 32463 system:ui

  04-27 13:34:31.492  1542  1757 I ActivityManager: Killing 32463:system:ui/1000 (adj 955): Unable to freeze binder interface

  

2. 视频看出问题的时间在15：27左右,此时在启动bilibili的进程的服务,但是权限不允许

04-27 15:27:00.395  1542 23324 W ActivityManager: Background start not allowed: service Intent {

cmp=tv.danmaku.bili/com.bilibili.lib.neuron.internal.NeuronLocalService (has extras) } to 

                                   tv.danmaku.bili/com.bilibili.lib.neuron.internal.NeuronLocalService from pid=4390 uid=10095 pkg=tv.danmaku.bili startFg?=false

  04-27 15:27:02.669  1542 11355 W ActivityManager: Background start not allowed: service Intent {

cmp=tv.danmaku.bili/com.bilibili.lib.neuron.internal.NeuronLocalService (has extras) } to 

                                   tv.danmaku.bili/com.bilibili.lib.neuron.internal.NeuronLocalService from pid=4173 uid=10095 pkg=tv.danmaku.bili startFg?=false

  04-27 15:27:03.904  1542 23324 W ActivityManager: Background start not allowed: service Intent {

cmp=tv.danmaku.bili/com.bilibili.lib.neuron.internal.NeuronLocalService (has extras) } to 

                                   tv.danmaku.bili/com.bilibili.lib.neuron.internal.NeuronLocalService from pid=4390 uid=10095 pkg=tv.danmaku.bili startFg?=false

  04-27 15:27:05.306  1542 23324 W ActivityManager: Background start not allowed: service Intent {

cmp=tv.danmaku.bili/com.bilibili.lib.neuron.internal.NeuronLocalService (has extras) } to 

                                   tv.danmaku.bili/com.bilibili.lib.neuron.internal.NeuronLocalService from pid=4173 uid=10095 pkg=tv.danmaku.bili startFg?=fal
3.viewRoot报错 android/frameworks/base/core/java/android/view/ViewRootImpl.java +3725 

04-27 15:29:51.635  2019  2019 W View    : requestLayout() improperly called by com.android.systemui.statusbar.AlphaOptimizedImageView{8f3ed5a VFED..C..

......ID 0,0-140,132} during layout: running second layout pass

  04-27 15:29:51.635  2019  2019 W View    : requestLayout() improperly called by com.android.systemui.statusbar.AlphaOptimizedImageView{fc9ab8b VFED..C..

......ID 0,0-140,132} during layout: running second layout pass

4. 综合上述的问题，请AF继续分析

#7 - 2023-05-12 14:22 - CD SYSTEM-夏旭

- Assignee changed from CD SYSTEM-夏旭 to CD APP-王营

#8 - 2023-05-12 19:24 - CDTS-TEST 周婷

- Assignee changed from CD APP-王营 to CD FW 曹覃刚

Framework 确认日志中15：27 附近是否有相关明显错误，如果没有需确认增加扩展日志

#9 - 2023-05-12 21:40 - CD FW 曹覃刚

- Category changed from SYSTEM to BSP

- Assignee changed from CD FW 曹覃刚 to CD BSP-杜磊

Hi 磊哥

■ 当前的状态

CD APP-王营

Log中 没有input相关log，需要复现此问题，怀疑点是硬件touch事件没有上报。

CDTS-TEST 周婷

Framework 确认日志中15：27 附近是否有相关明显错误，如果没有需确认增加扩展日志

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/196355

framework在05/04添加了扩展日志

CD SYSTEM-夏旭

1.初步的分析，system ui 被杀，但是与视频上的时间戳不对，

该日志在设备的使用过程就有打印，我正在使用的设备就有，不会引起冻屏问题

CD SYSTEM-夏旭

2. 视频看出问题的时间在15：27左右,此时在启动bilibili的进程的服务,但是权限不允许

3.viewRoot报错 android/frameworks/base/core/java/android/view/ViewRootImpl.java +3725

这两个地方的日志只是WARN类型的日志，不是错误日志，且看日志信息，不会引起冻屏问题
结合上述内容，这个问题目前缺乏日志。需要增加日志并交由测试同学帮忙压测复现

目前上层已添加事件分发日志

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/196355

需要底层同学也追加日志, 确认是否有事件上报

■ 下一步计划

BSP的同学追加日志后, 交由测试同学复现

或已有日志可确认是否有事件上报，交由测试同学复现

#10 - 2023-05-15 15:32 - CD BSP-杜磊

- Category changed from BSP to SYSTEM

- Assignee changed from CD BSP-杜磊 to CD SYSTEM-夏旭

为了检测Touch是否在正常工作，可以动态检测tp的中断产生数量，只要tp被触摸，内核的中断计数就会增长。

VC1:

adb shell cat proc/interrupts | grep atmel_mxt_ts

VX1:

adb shell cat proc/interrupts | grep cyttsp_ts

#11 - 2023-05-22 19:46 - CD SYSTEM-夏旭

- % Done changed from 10 to 20

■目前进展

代码添加中

添加策略：每隔30秒cat相应节点保存文件到tlog目录下

#12 - 2023-05-23 17:43 - CD SYSTEM-夏旭

■目前进展

本地push修改后的bin文件验证ok，能够保存中断计数到tlog目录

提交代码，等待user版本验证

#13 - 2023-05-24 16:17 - CD SYSTEM-夏旭

■当前进展

VB验证有问题，又改了保存文件的逻辑，目前等待jenkins编译验证

■下一步计划

VB验证Ok后, 交由测试同学复现

#14 - 2023-05-24 20:03 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

202150 general/platform/vendor/thundercom

m/apps/LogSystem

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

xu.xia@thundersoft.com
SYSTEM :Tlog: add interrupts to tlogsave interrupts number to tlogTC-RID: 1200-0800102IssueID: TS-R-BUG-117749Change-Id:

Ic43a1ed4f6c3b6616281b3a3607f52f00c303836

#15 - 2023-05-24 20:03 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

202153 general/device/qcom/sepolicy_vndr Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

xu.xia@thundersoft.com

SYSTEM :Tlog: add interrupts to tlogadd relative selinxuTC-RID: 1200-0800102IssueID: TS-R-BUG-117749Change-Id:

Ia6203d7545b092a47366f2f05a9621a21ede641a

#16 - 2023-05-24 20:03 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

202151 general/platform/vendor/thundercom

m/apps/LogSystem

Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

xu.xia@thundersoft.com

SYSTEM :Tlog: add interrupts to tlogmodify tlogd.shTC-RID: 1200-0800102IssueID: TS-R-BUG-117749Change-Id:

Ia7a8b51d0259b3b6c643cab394ce68457e77b6b1

#17 - 2023-05-24 20:11 - CD SYSTEM-夏旭

- Assignee changed from CD SYSTEM-夏旭 to CDTS_TEST 王成

■目前进展

内核中断次数已经保存到tlog目录，/data/tlog/interrupts/路径下

■下一步计划

测试复现

#18 - 2023-05-27 17:19 - 物联网测试组_CDTS  唐霞 

最新DB版本验证未复现

FlatBuild_HH_MCE_FSE.M.D.user.01.00.C103.202305270101

#19 - 2023-05-31 09:55 - CDTS-TEST 周婷

- Assignee changed from CDTS_TEST 王成 to CD SYSTEM-夏旭
请正确流转bug 状态

#20 - 2023-05-31 10:45 - CD SYSTEM-夏旭

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD SYSTEM-夏旭 to 物联网测试组_CDTS  唐霞 

问题没有复现，麻烦继续跟踪

#21 - 2023-06-05 17:07 - SZTS_TEST 邹涛

在 01.00.0107.C104版本上复测20次未复现

#22 - 2023-06-09 17:26 - SZTS_TEST 邹涛

在 FlatBuild_HH_MCE_FSE.M.D.user.01.00.C104.202306090153版本上复测20次未复现

#23 - 2023-06-13 17:13 - CDTS_TEST 王成

- Assignee changed from 物联网测试组_CDTS  唐霞  to SZTS_TEST 邹涛

#24 - 2023-06-13 19:43 - SZTS_TEST 邹涛

在FlatBuild_HH_MCE_FSE.M.R.user.01.00.0110.C104版本复测20测未复现

#25 - 2023-06-15 14:03 - SZTS_TEST 邹涛

在FlatBuild_HH_MCE_FSE.M.R.user.01.00.0110.C105版本验证20次未复现

#26 - 2023-06-16 11:40 - SZTS_TEST 邹涛

FlatBuild_HH_MCE_FSE.M.R.user.01.00.0110.C105（6.16版本未复现）测试20次

#27 - 2023-06-19 14:30 - SZTS_TEST 邹涛

FlatBuild_HH_MCE_FSE.M.D.user.01.00.C105.202306180036（6.18版本）测试20次未复现

#28 - 2023-06-20 13:48 - SZTS_TEST 邹涛

FlatBuild_HH_MCE_FSE.M.D.user.01.00.C105.202306200207 版本复测20次未复现

#29 - 2023-06-21 14:32 - SZTS_TEST 邹涛

FlatBuild_HH_MCE_FSE.M.R.user.01.00.0112.C105验证20次未复现
#30 - 2023-06-25 13:08 - SZTS_TEST 邹涛

FlatBuild_HH_MCE_FSE.M.D.user.01.00.C105.202306250045 版本验证20次未复现

#31 - 2023-06-27 15:22 - SZTS_TEST 邹涛

FlatBuild_HH_MCE_FSE.M.R.user.01.00.0114.C106版本验证20次未复现

#32 - 2023-06-28 13:45 - SZTS_TEST 邹涛

FlatBuild_HH_MCE_FSE.M.R.user.01.00.0115.C106版本验证20次未复现

#33 - 2023-06-29 11:08 - SZTS_TEST 邹涛

FlatBuild_HH_MCE_FSE.M.D.user.01.00.C106.202306290133版本验证20次未复现

#34 - 2023-06-30 13:56 - SZTS_TEST 邹涛

FlatBuild_HH_MCE_FSE.M.D.user.01.00.C106.202306300252版本复测20次未复现

#35 - 2023-07-04 18:25 - CDTS_TEST 王成

- Status changed from NEED_INFO to RESOLVED

客户反馈：如rootcase备注，长期未复现，先关闭，后续遇到再新建

#36 - 2023-07-04 18:26 - CDTS_TEST 王成

- Status changed from RESOLVED to VERIFIED

#37 - 2023-07-04 18:27 - CDTS_TEST 王成

- Status changed from VERIFIED to CLOSED

Files

冻屏.mp4 13.6 MB 2023-05-04 CDTS_TEST 王成

frozen_screen.7z 214 KB 2023-05-04 CDTS_TEST 王成
